#include <iostream>
using namespace std;
int main () {
    int n,m,k;
    long long s=1;
    cin>>n>>m>>k;
    if(k==1) {
        for(int i=0;i<n;i++) {
            s*=m;
            if(s>998244353) {
                s=s%998244353;
            }
        }
    }
    cout<<s<<endl;
    return 0;
}
